commit:     02fb14a5a33a3256b8628fa737252ec956cec43e
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Fri Jun  3 13:30:30 2022 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Sat Jun  4 01:03:08 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02fb14a5

sys-libs/libselinux: bump to 3.4

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 sys-libs/libselinux/Manifest              |   1 +
 sys-libs/libselinux/libselinux-3.4.ebuild | 154 ++++++++++++++++++++++++++++++
 2 files changed, 155 insertions(+)

diff --git a/sys-libs/libselinux/Manifest b/sys-libs/libselinux/Manifest
index 62d87d2493df..545f6288cc70 100644
--- a/sys-libs/libselinux/Manifest
+++ b/sys-libs/libselinux/Manifest
@@ -1,2 +1,3 @@
 DIST libselinux-3.3.tar.gz 206826 BLAKE2B 
e4cd2bf7172db1dd7661dd7981f875eb45f3c123805618edd03d7258f4b1f7afc974020187ec2e9e50dd59b3581ee21a29012eaa90ddfa82e43db4b8e60c51b7
 SHA512 
9a89c05ea4b17453168a985ece93ba6d6c4127916e657c46d4135eb59a1f6408faa0802cc2e49187defbde5247d659037beee089877affbab3eab6af3433696c
 DIST libselinux-3.4-rc1.tar.gz 208778 BLAKE2B 
b15c83149f213a44624285abe68972c0c7f8dcdaf13cd1ca089bd44951f14d30c73302433d68b7d59f0bc7add14315ba12e9f6e6062566c1bdb8f849c5884c28
 SHA512 
333907b3ed05d66e608ab16958e4e09e18848bf9aaf3d9216d08be2f6e483231c9455a8e6db56648d6704c0f0af7cd4c5c7ba468d678f8368d06b68a60693eb5
+DIST libselinux-3.4.tar.gz 210061 BLAKE2B 
65b797516199def3feb1a5de5413e5da6f81422e7c7d97bf859896e78ef55020d3851f98c205bab622f941756341dc62f49d70558ebaf1cb3a8a28b84871d7af
 SHA512 
7ffa6d2159d2333d836bde3f75dfc78a278283b66ae1e441c178371adb6f463aa6f2d62439079e2068d1135c39dd2b367b001d917c0bdc6871a73630919ef81e

diff --git a/sys-libs/libselinux/libselinux-3.4.ebuild 
b/sys-libs/libselinux/libselinux-3.4.ebuild
new file mode 100644
index 000000000000..79d30a7aa969
--- /dev/null
+++ b/sys-libs/libselinux/libselinux-3.4.ebuild
@@ -0,0 +1,154 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+PYTHON_COMPAT=( python3_{8..11} )
+USE_RUBY="ruby26 ruby27"
+
+# No, I am not calling ruby-ng
+inherit python-r1 toolchain-funcs multilib-minimal
+
+MY_PV="${PV//_/-}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="SELinux userland library"
+HOMEPAGE="https://github.com/SELinuxProject/selinux/wiki";
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/SELinuxProject/selinux.git";
+       S="${WORKDIR}/${P}/${PN}"
+else
+       
SRC_URI="https://github.com/SELinuxProject/selinux/releases/download/${MY_PV}/${MY_P}.tar.gz";
+       KEYWORDS="~amd64 ~arm ~arm64 ~mips ~riscv ~x86"
+       S="${WORKDIR}/${MY_P}"
+fi
+
+LICENSE="public-domain"
+SLOT="0"
+IUSE="python ruby static-libs ruby_targets_ruby26 ruby_targets_ruby27"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="dev-libs/libpcre2:=[static-libs?,${MULTILIB_USEDEP}]
+       >=sys-libs/libsepol-${PV}:=[${MULTILIB_USEDEP}]
+       python? ( ${PYTHON_DEPS} )
+       ruby? (
+               ruby_targets_ruby26? ( dev-lang/ruby:2.6 )
+               ruby_targets_ruby27? ( dev-lang/ruby:2.7 )
+       )
+       elibc_musl? ( sys-libs/fts-standalone )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig
+       python? ( >=dev-lang/swig-2.0.9 )
+       ruby? ( >=dev-lang/swig-2.0.9 )"
+
+src_prepare() {
+       eapply_user
+
+       multilib_copy_sources
+}
+
+multilib_src_compile() {
+       tc-export AR CC PKG_CONFIG RANLIB
+
+       local -x CFLAGS="${CFLAGS} -fno-semantic-interposition"
+
+       emake \
+               LIBDIR="\$(PREFIX)/$(get_libdir)" \
+               SHLIBDIR="/$(get_libdir)" \
+               LDFLAGS="-fPIC ${LDFLAGS} -pthread" \
+               USE_PCRE2=y \
+               FTS_LDLIBS="$(usex elibc_musl '-lfts' '')" \
+               all
+
+       if multilib_is_native_abi && use python; then
+               building() {
+                       emake \
+                               LDFLAGS="-fPIC ${LDFLAGS} -lpthread" \
+                               LIBDIR="\$(PREFIX)/$(get_libdir)" \
+                               SHLIBDIR="/$(get_libdir)" \
+                               USE_PCRE2=y \
+                               FTS_LDLIBS="$(usex elibc_musl '-lfts' '')" \
+                               pywrap
+               }
+               python_foreach_impl building
+       fi
+
+       if multilib_is_native_abi && use ruby; then
+               building() {
+                       einfo "Calling rubywrap for ${1}"
+                       # Clean up .lo file to force rebuild
+                       rm -f src/selinuxswig_ruby_wrap.lo || die
+                       emake \
+                               RUBY=${1} \
+                               LDFLAGS="-fPIC ${LDFLAGS} -lpthread" \
+                               LIBDIR="\$(PREFIX)/$(get_libdir)" \
+                               SHLIBDIR="/$(get_libdir)" \
+                               USE_PCRE2=y \
+                               FTS_LDLIBS="$(usex elibc_musl '-lfts' '')" \
+                               rubywrap
+               }
+               for RUBYTARGET in ${USE_RUBY}; do
+                       use ruby_targets_${RUBYTARGET} || continue
+
+                       building ${RUBYTARGET}
+               done
+       fi
+}
+
+multilib_src_install() {
+       emake DESTDIR="${D}" \
+               LIBDIR="\$(PREFIX)/$(get_libdir)" \
+               SHLIBDIR="/$(get_libdir)" \
+               USE_PCRE2=y \
+               install
+
+       if multilib_is_native_abi && use python; then
+               installation() {
+                       emake DESTDIR="${D}" \
+                               LIBDIR="\$(PREFIX)/$(get_libdir)" \
+                               SHLIBDIR="/$(get_libdir)" \
+                               USE_PCRE2=y \
+                               install-pywrap
+                       python_optimize # bug 531638
+               }
+               python_foreach_impl installation
+       fi
+
+       if multilib_is_native_abi && use ruby; then
+               installation() {
+                       einfo "Calling install-rubywrap for ${1}"
+                       # Forcing (re)build here as otherwise the resulting SO 
file is used for all ruby versions
+                       rm src/selinuxswig_ruby_wrap.lo
+                       emake DESTDIR="${D}" \
+                               LIBDIR="\$(PREFIX)/$(get_libdir)" \
+                               SHLIBDIR="/$(get_libdir)" \
+                               RUBY=${1} \
+                               USE_PCRE2=y \
+                               install-rubywrap
+               }
+               for RUBYTARGET in ${USE_RUBY}; do
+                       use ruby_targets_${RUBYTARGET} || continue
+
+                       installation ${RUBYTARGET}
+               done
+       fi
+
+       use static-libs || rm "${D}"/usr/lib*/*.a || die
+}
+
+pkg_postinst() {
+       # Fix bug 473502
+       for POLTYPE in ${POLICY_TYPES};
+       do
+               mkdir -p /etc/selinux/${POLTYPE}/contexts/files || die
+               touch 
/etc/selinux/${POLTYPE}/contexts/files/file_contexts.local || die
+               # Fix bug 516608
+               for EXPRFILE in file_contexts file_contexts.homedirs 
file_contexts.local ; do
+                       if [[ -f 
"/etc/selinux/${POLTYPE}/contexts/files/${EXPRFILE}" ]]; then
+                               sefcontext_compile 
/etc/selinux/${POLTYPE}/contexts/files/${EXPRFILE} \
+                               || die "Failed to recompile contexts"
+                       fi
+               done
+       done
+}

Reply via email to